import 'dart:ui';

import 'package:diplomaticquarterapp/core/model/ImagesInfo.dart';
import 'package:diplomaticquarterapp/core/viewModels/AlHabibMedicalService/home_health_care_view_model.dart';
import 'package:diplomaticquarterapp/pages/base/base_view.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/data_display/text.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import 'NewHomeHealthCare/new_home_health_care_page.dart';
import 'orders_log_details_page.dart';

class HomeHealthCarePage extends StatefulWidget {
  @override
  _HomeHealthCarePageState createState() => _HomeHealthCarePageState();
}

class _HomeHealthCarePageState extends State<HomeHealthCarePage>
    with SingleTickerProviderStateMixin {
  TabController _tabController;

  @override
  void initState() {
    super.initState();
    _tabController = TabController(length: 2, vsync: this);
  }

  @override
  void dispose() {
    super.dispose();
    _tabController.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return BaseView<HomeHealthCareViewModel>(
      onModelReady: (model) {
        model.getHHCAllPresOrders();
      },
      builder: (_, model, widget) => AppScaffold(
        isShowAppBar: true,
        description: TranslationBase.of(context).HHCNotAuthMsg,
        appBarTitle: TranslationBase.of(context).homeHealthCare,
        imagesInfo: [
          ImagesInfo(
              imageAr: 'https://hmgwebservices.com/Images/MobileApp/HHC/ar/0.png',
              imageEn: 'https://hmgwebservices.com/Images/MobileApp/HHC/en/0.png')
        ],
        body: Scaffold(
          extendBodyBehindAppBar: true,
          appBar: PreferredSize(
            preferredSize: Size.fromHeight(65.0),
            child: Stack(
              children: <Widget>[
                Positioned(
                  bottom: 1,
                  left: 0,
                  right: 0,
                  child: BackdropFilter(
                    filter: ImageFilter.blur(sigmaX: 10, sigmaY: 10),
                    child: Container(
                      color: Theme.of(context)
                          .scaffoldBackgroundColor
                          .withOpacity(0.8),
                      height: 70.0,
                    ),
                  ),
                ),
                Center(
                  child: Container(
                    height: 60.0,
                    margin: EdgeInsets.only(top: 10.0),
                    width: MediaQuery.of(context).size.width * 0.9,
                    decoration: BoxDecoration(
                        border: Border(
                          bottom: BorderSide(
                              color: Theme.of(context).dividerColor,
                              width: 0.7),
                        ),
                        color: Theme.of(context).primaryColor),
                    child: Center(
                      child: TabBar(
                        isScrollable: true,
                        controller: _tabController,
                        indicatorWeight: 5.0,
                        indicatorSize: TabBarIndicatorSize.tab,
                        indicatorColor: Colors.red[800],
                        labelColor: Theme.of(context).primaryColor,
                        labelPadding:
                            EdgeInsets.only(top: 4.0, left: 18.0, right: 18.0),
                        unselectedLabelColor: Colors.grey[800],
                        tabs: [
                          Container(
                            width: MediaQuery.of(context).size.width * 0.37,
                            child: Center(
                              child: Texts(
                                TranslationBase.of(context).homeHealthCare,
                                color: Colors.black,
                              ),
                            ),
                          ),
                          Container(
                            width: MediaQuery.of(context).size.width * 0.37,
                            child: Center(
                              child: Texts(
                                TranslationBase.of(context).orderLog,
                                color: Colors.black,
                              ),
                            ),
                          ),
                        ],
                      ),
                    ),
                  ),
                ),
              ],
            ),
          ),
          body: Column(
            children: <Widget>[
              Expanded(
                child: TabBarView(
                  physics: BouncingScrollPhysics(),
                  controller: _tabController,
                  children: <Widget>[
                    NewHomeHealthCarePage(
                      model: model,
                    ),
                    OrdersLogDetailsPage(
                      model: model,
                    )
                  ],
                ),
              )
            ],
          ),
        ),
      ),
    );
  }
}
